GearmanClient::setDataCallback
GearmanClient::setFailCallback
GearmanClient
PHP Manual

# GearmanClient::setExceptionCallback

Set a callback for worker exceptions

### Description

public bool GearmanClient::setExceptionCallback ( callable `$callback` )

Specifies a function to call when a worker for a task sends an exception.

### Parameters

`callback`

  Function to call when the worker throws an exception

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::setDataCallback
- GearmanClient::setCompleteCallback
- GearmanClient::setCreatedCallback
- GearmanClient::setFailCallback
- GearmanClient::setStatusCallback
- GearmanClient::setWarningCallback
- GearmanClient::setWorkloadCallback